// ----------------------------------------------------------------------------
//
// rt_main.h
// RT++ main functions
//
// $Id: rt_main.h,v 1.2 1996/04/03 20:53:53 ws Exp ws $
// (C) 1996 Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
//
// ---------------------------------------------------------------------------
#ifndef RT_MAIN_H
#define RT_MAIN_H

// execute <f>(<argc>,<argv>) and return exit code
int rt_main(int (*f)(int, char*[]), int argc, char *argv[],
	    const RT_Argument &arg, RT_Result *result);

// terminate program with return code 
// this function returns to the caller of rt_main
void rt_exit(int code);

// abort program gracefully with error message and return exit code -1
// this function returns to the caller of rt_main
void rt_abort(char *);

// abort program immediately with error message and return exit code -1
// this function aborts the whole program with exit code -1
void rt_panic(char *);

#endif
// ----------------------------------------------------------------------------
// end of rt_main.h
// ----------------------------------------------------------------------------
// Local Variables: ***
// mode: C++ ***
// End: ***
