// ----------------------------------------------------------------------------
//
// rt_result.h
// RT++ result threads (typed in result)
//
// $Id: rt_result.h,v 1.16 1996/02/28 15:51:55 ws Exp $
// (C) 1996 Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
//
// ----------------------------------------------------------------------------
#ifndef RT_RESULT_H
#define RT_RESULT_H

// ----------------------------------------------------------------------------
//
// result thread (typed in result)
//
// ----------------------------------------------------------------------------
template <class R>
class ResultThread: public CoreThread 
{
  protected:
  R result;           // the result value
  public:
  void _scan(void);   // the static scan function for this type
  void scan(void);    // the dynamic scan function
  void init(void);    // initialize thread
  ResultThread(void); // construct thread (unused)
  void create(void);  // create thread and put it into lazy queue
  void start(void);   // create thread, allocate stack, put it into ready queue
  R wait(void);       // wait for result of thread
};

#endif
// ----------------------------------------------------------------------------
// end of result.h
// ----------------------------------------------------------------------------
// Local Variables: ***
// mode: C++ ***
// End: ***
